package prjaoadlwithcm.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;

public class AOADLwithCMPerspectiveFactory implements org.eclipse.ui.IPerspectiveFactory{

	private static final String PROJECTEXPLORER_ID = "prjaoadlwithcm.navigator.views.AOADLwithCMProjectExplorer";
	private static final String TREEEDITOR_ID = "prjaoadlwithcm.views.AOADLwithCMTreeEditor";
	private static final String ErrorListing_ID = "prjaoadlwithcm.views.AOADLwithCMErrorsListing";
	@Override
	public void createInitialLayout(IPageLayout layout) {
	      // Get the editor area.
	      String editorArea = layout.getEditorArea();

	      layout.addView(
	         PROJECTEXPLORER_ID,
	         IPageLayout.LEFT,
	         0.25f,
	         editorArea);

	      // Put the Favorites view on the bottom with
	      // the Tasks view.
	      layout.addView(
	        	TREEEDITOR_ID,
	            IPageLayout.RIGHT,
	            0.66f,
	            editorArea);
	      
/*	      layout.addView(
	    		  	IPageLayout.ID_PROP_SHEET,
		            IPageLayout.BOTTOM,
		            0.66f,
		            editorArea);
	      
	      layout.addView(
	    		  ErrorListing_ID,
		            IPageLayout.BOTTOM,
		            0.66f,
		            editorArea);*/
	      
	      IFolderLayout bottom =
	          layout.createFolder(
	             "bottom",
	             IPageLayout.BOTTOM,
	             0.66f,
	             editorArea);
	       bottom.addView(ErrorListing_ID);
	       bottom.addView(IPageLayout.ID_PROP_SHEET);
	       //bottom.addPlaceholder(IPageLayout.ID_PROBLEM_VIEW);
	}
	
}
